package ru.yandex.webmaster3.storage.mobile.data;

import ru.yandex.webmaster3.core.util.enums.IntEnum;
import ru.yandex.webmaster3.core.util.enums.IntEnumResolver;

/**
 * @author avhaliullin
 */
public enum MobileAuditResultType implements IntEnum {
    OK(0),
    INTERNAL_ERROR(1),
    FETCH_FAILED(2),
    ;
    private final int value;

    MobileAuditResultType(int value) {
        this.value = value;
    }

    @Override
    public int value() {
        return value;
    }

    public static final IntEnumResolver<MobileAuditResultType> R = IntEnumResolver.r(MobileAuditResultType.class);
}
